package com.ruoyi.bst.article.service;

import java.util.List;
import com.ruoyi.bst.article.domain.Article;
import com.ruoyi.bst.article.domain.ArticleVO;
import com.ruoyi.bst.article.domain.ArticleQuery;

/**
 * 文章列表Service接口
 *
 * @author ruoyi
 * @date 2025-05-14
 */
public interface ArticleService
{
    /**
     * 查询文章列表
     *
     * @param id 文章列表主键
     * @return 文章列表
     */
    public ArticleVO selectArticleById(Long id);

    /**
     * 查询文章列表列表
     *
     * @param article 文章列表
     * @return 文章列表集合
     */
    public List<ArticleVO> selectArticleList(ArticleQuery article);

    /**
     * 新增文章列表
     *
     * @param article 文章列表
     * @return 结果
     */
    public int insertArticle(Article article);

    /**
     * 修改文章列表
     *
     * @param article 文章列表
     * @return 结果
     */
    public int updateArticle(Article article);

    /**
     * 批量删除文章列表
     *
     * @param ids 需要删除的文章列表主键集合
     * @return 结果
     */
    public int deleteArticleByIds(Long[] ids);

    /**
     * 删除文章列表信息
     *
     * @param id 文章列表主键
     * @return 结果
     */
    public int deleteArticleById(Long id);

    List<ArticleVO> selectArticleByCategoryId(Long categoryId);
}
